Overview
GET/settings/notifications/{id}settings

Get notifications by id

Fetch a record from notifications by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Responses
200

notifications

  • idstring
  • customerIdstring
  • deletedAtstring?
  • ecosystemIdstring
  • categorystring
  • emailboolean
  • smsboolean
  • inAppboolean
  • createdAtstring
  • updatedAtstring
Example
{
  "id": "string",
  "customerId": "string",
  "deletedAt": "string",
  "ecosystemId": "string",
  "category": "string",
  "email": true,
  "sms": true,
  "inApp": true,
  "createdAt": "string",
  "updatedAt": "string"
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/settings/notifications/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/settings/notifications/{id}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();